Subject: RE: CR-LDP traffic parameter TLV and RSVP

From: Shahram Davari <[email-masked]>
Date: Thu, 28 Sep 2000 09:27:09 -0700

Hi,

> -----Original Message-----
> From: David Charlap [mailto:[email-masked]]
> Sent: Tuesday, September 26, 2000 2:29 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: CR-LDP traffic parameter TLV and RSVP
> 
> 
> CATANZARITI Sergio FTR&D/TI wrote:
> > 
> > I would like to be back to my original question. That was how I will
> > map, in a semantically compatible way, the COS-type values of
> > Tspec/FlowSpec with the DS classes. Okay, assuming that I have clear
> > the first case, mapping DS classes in the IntServ service types, (of
> > course it is a joke... this presumption of understanding), for the
> > second case, how to map COS-type values to DS classes,
> 
> You really can't.  There is no defined meaning for COS-type 
> values other
> than zero (best effort).  Any other value may be ignored, rejected, or
> handled in a way you don't want.
> 

Yes off course you can. You could map any COS-Type to a local (non-standard)
DSCP value.

> It's really not a good idea to use non-zero values for the COS-type,
> unless you know precisely what your switch's implementation 
> will do with
> it.
> 
> > I do not think that it is a customization/local 
> configuration choice.
> > Indeed, the draft (dratf-ietf-mpls-diff-ext-07.txt) says...
> > 
> > Paragraph 5.6
> > When processing a path (respectively Resv) message for an E-LSP or
> > an L-LSP using the COS service, a Diff-Serv capable LSR must ignore
> > the value of the COS field within a COS SENDER_TSPEC (respectively a
> > COS FLOWSPEC).
> 
> Recognizing the fact that no classes other than zero have any standard
> definition.
> 
> > So, I guess that, when we (Diff Serv Routers) process RSVP/PATH
> > messages with COS-type TSpec/FlowSpec for (L or E type) 
> LSPs carrying
> > DS class trunks, the choice on how to implement service 
> treatments is
> > not given by COS values but EXP and/or label value. So, I 
> do not worry
> > about values mapping at all.
> 
> Sounds right to me.
> 
> -- David
>

---

From: David Charlap <[email-masked]>
Date: Thu, 28 Sep 2000 12:40:53 -0400

Shahram Davari wrote:
> David Charlap wrote:
>> values other than zero (best effort).  Any other value may be
>> ignored, rejected, or handled in a way you don't want.
> 
> Yes off course you can. You could map any COS-Type to a local
> (non-standard) DSCP value.

And ensure that every router along the LSP accepts the non-zero COS-type
and handles it in the intended way.

A human administrator may be able to make that guarantee, but there's no
way switch software can do so on its own.

In other words, any use of these COS-types to map DS classes would have
to be through explicit administrative control.  Such mappings can not be
made automatically, because successful implementation requres
meta-knowledge of how the entire cloud will support this non-standard
feature.

(Of course, a new draft may come along to solve this problem, if people
really care.  But that changes the problem - after approval of such a
draft, use of the COS-type would no longer be non-standard.)

-- David